| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
nvm_data_helpers.cpp File Reference
PMBus and SMBus Support Libraries » LTPSM_InFlightUpdate

Copyright 2018(c) Analog Devices, Inc. More...

## Detailed Description

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Library File

Definition in file nvm_data_helpers.cpp.

Go to the source code of this file.

## Functions
int | getMaxRecordSize ()
uint8_t * | getRecordData ()
uint8_t * | getRecordHoldData ()
uint8_t * | holdRecord ()
uint8_t | writeNvmData (t_RECORD_NVM_DATA *pRecord)
uint8_t | bufferNvmData (t_RECORD_NVM_DATA *pRecord)
uint8_t | readThenVerifyNvmData (t_RECORD_NVM_DATA *pRecord)

## Macros
#define | MAX_RECORD_SIZE 600

## Variables
static uint8_t | record_data [MAX_RECORD_SIZE]
static uint8_t | record_data_hold [MAX_RECORD_SIZE]
static uint16_t * | words
static uint16_t | nWords
static uint8_t | nvram_somethingToVerify = 0

## Function Documentation

## ◆ bufferNvmData()

uint8_t bufferNvmData | ( | t_RECORD_NVM_DATA * | pRecord | ) |

Definition at line 120 of file nvm_data_helpers.cpp.

## ◆ getMaxRecordSize()

int getMaxRecordSize | ( |  | ) |

Definition at line 51 of file nvm_data_helpers.cpp.

## ◆ getRecordData()

uint8_t* getRecordData | ( |  | ) |

Definition at line 56 of file nvm_data_helpers.cpp.

## ◆ getRecordHoldData()

uint8_t* getRecordHoldData | ( |  | ) |

Definition at line 61 of file nvm_data_helpers.cpp.

## ◆ holdRecord()

uint8_t* holdRecord | ( |  | ) |

Definition at line 66 of file nvm_data_helpers.cpp.

## ◆ readThenVerifyNvmData()

uint8_t readThenVerifyNvmData | ( | t_RECORD_NVM_DATA * | pRecord | ) |

Definition at line 132 of file nvm_data_helpers.cpp.

## ◆ writeNvmData()

uint8_t writeNvmData | ( | t_RECORD_NVM_DATA * | pRecord | ) |

Definition at line 76 of file nvm_data_helpers.cpp.

## Macro Definition Documentation

## ◆ MAX_RECORD_SIZE

#define MAX_RECORD_SIZE 600

Definition at line 43 of file nvm_data_helpers.cpp.

## Variable Documentation

## ◆ nvram_somethingToVerify

uint8_t nvram_somethingToVerify = 0
| static

Definition at line 49 of file nvm_data_helpers.cpp.

## ◆ nWords

uint16_t nWords
| static

Definition at line 48 of file nvm_data_helpers.cpp.

## ◆ record_data

uint8_t record_data[MAX_RECORD_SIZE]
| static

Definition at line 45 of file nvm_data_helpers.cpp.

## ◆ record_data_hold

uint8_t record_data_hold[MAX_RECORD_SIZE]
| static

Definition at line 46 of file nvm_data_helpers.cpp.

## ◆ words

uint16_t* words
| static

Definition at line 47 of file nvm_data_helpers.cpp.